/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package com.chushang.common.log.annotation;

import com.chushang.common.log.enums.BusinessType;

import java.lang.annotation.*;

/**
 * 系统日志注解
 *
 * @author Mark sunlightcs@gmail.com
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SysLog {

	String value() default "";

	/**
	 * 操作类型
	 */
	BusinessType businessType() default BusinessType.OTHER;

	boolean export() default false;

	/**
	 * 是否 入库
	 */
	boolean isDatabase() default true;

}
